Bug 274909 - Gradient of type ellipsoid not supported
Summary: Gradient of type ellipsoid not supported
Status: CONFIRMED
Alias: None
Product: calligracommon
Classification: Applications
Component: flake (show other bugs)
Version: Git
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-04 13:59 UTC by swathi
Modified: 2021-03-09 08:13 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot in Open Office (179.52 KB, image/png)
2011-06-04 14:00 UTC, swathi
Details
Screenshot in Words (159.81 KB, image/png)
2011-06-04 14:01 UTC, swathi
Details
current look of document on my laptop (254.66 KB, image/png)
2011-08-18 08:49 UTC, Halla Rempt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description swathi 2011-06-04 13:59:50 UTC
Version: git checkout 09bf66c4b404f9fb8d3c2912ea77d02646e38f0a
        (Using KDE 4.5.5)                
     OS: Kubuntu 10.10
Test data is in ODT format.Go to 4th page and observe the diagram with autoshapes and text.
Open the same document in Calligra Words, check the display of the text in the autoshapes.
Link to test data:http://actionapps.apc.org/apps/img_upload/dca681b8c0e22157ecb9987b9339674e/communications_planning.odt  
Expected outcome:
Text with in the autoshapes should be displayed properly.

Actual outcome:
Text with in the autoshapes is not displaying properly.
Please check the screenshots attached.
Frequency:
Always.
Comment 1 swathi 2011-06-04 14:00:45 UTC
Created attachment 60612 [details]
Screenshot in Open Office
Comment 2 swathi 2011-06-04 14:01:10 UTC
Created attachment 60613 [details]
Screenshot in Words
Comment 3 Halla Rempt 2011-08-18 08:49:04 UTC
Not all fills are correct, but the text is all shown. How much of the text is shown correctly depends a lot on fonts available, dpi settings and so on. The text doesn't actually fit in openoffice either...
Comment 4 Halla Rempt 2011-08-18 08:49:26 UTC
Created attachment 62928 [details]
current look of document on my laptop
Comment 5 LukasT 2011-10-11 07:42:42 UTC
Git commit da3f0d1bbbd5f254634dffe743973bf2e4acc0ba by Lukáš Tvrdý.
Committed on 11/10/2011 at 09:35.
Pushed by lukast into branch 'master'.

Add support for rectangular and square gradient to engine

Displays some of the gradients in bug 274909
(ellipsoid gradient not supported yet)

CCBUG:274909
REVIEW:102780

M  +1    -0    libs/flake/CMakeLists.txt
A  +350  -0    libs/flake/KoOdfGradientBackground.cpp     [License: LGPL (v2+)]
A  +63   -0    libs/flake/KoOdfGradientBackground.h     [License: LGPL (v2+)]
M  +11   -3    libs/flake/KoShape.cpp

http://commits.kde.org/calligra/da3f0d1bbbd5f254634dffe743973bf2e4acc0ba
Comment 6 T Zachmann 2012-05-05 05:09:44 UTC
The text is displaying properly and also the most backgrounds work. The only background not working is the ellipsoid. Here the part of the file not supported.

    <draw:gradient draw:name="Ellipsoid_20_blue_20_grey_2f_light_20_blue" draw:display-name="Ellipsoid blue grey/light blue" draw:style="ellipsoid" draw:cx="50%" draw:cy="50%" draw:start-color="#e6e6ff" draw:end-color="#0000ff" draw:start-intensity="100%" draw:end-intensity="100%" draw:angle="0" draw:border="0%"/>
Comment 7 Justin Zobel 2021-03-09 01:22:19 UTC
Thank you for the bug report.

As this report hasn't seen any changes in 5 years or more, we ask if you can please confirm that the issue still persists.

If this bug is no longer persisting or relevant please change the status to resolved.